CWGraphInternal::ZonePict Struct Reference

Internal: the structure used to store a PICT or a MOVIE. More...

Inheritance diagram for CWGraphInternal::ZonePict:

## Public Member Functions

| ZonePict (Zone const &z, Type type)
| constructor More...
virtual void | print (std::ostream &o) const
| print the data More...
virtual Type | getType () const
| return the main type T_Picture More...
virtual Type | getSubType () const
| return the sub type More...
virtual int | getNumData () const
| return the number of data in a file More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from CWGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...

## Public Attributes

Type | m_type
| the sub type More...
MWAWEntry | m_entries [2]
| the picture entry followed by a ps entry or ole entry ( if defined) More...
Public Attributes inherited from CWGraphInternal::Zone
int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Additional Inherited Members

Public Types inherited from CWGraphInternal::Zone
enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Detailed Description

Internal: the structure used to store a PICT or a MOVIE.

## Constructor & Destructor Documentation

CWGraphInternal::ZonePict::ZonePict | ( | Zone const & | z,
|  | Type | type
| ) |  |

inline

constructor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::ZonePict::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented from CWGraphInternal::Zone.

virtual int CWGraphInternal::ZonePict::getNumData | ( |  | ) | const

inline virtual

return the number of data in a file

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZonePict::getSubType | ( |  | ) | const

inline virtual

return the sub type

Reimplemented from CWGraphInternal::Zone.

Referenced by CWGraph::sendPicture().

virtual Type CWGraphInternal::ZonePict::getType | ( |  | ) | const

inline virtual

return the main type T_Picture

Reimplemented from CWGraphInternal::Zone.

virtual void CWGraphInternal::ZonePict::print | ( | std::ostream & | o | ) | const

inline virtual

print the data

Reimplemented from CWGraphInternal::Zone.

## Member Data Documentation

MWAWEntry CWGraphInternal::ZonePict::m_entries[2]

the picture entry followed by a ps entry or ole entry ( if defined)

Referenced by CWGraph::readNamedPict(), CWGraph::readOLE(), CWGraph::readPICT(), CWGraph::readPS(), and CWGraph::sendPicture().

Type CWGraphInternal::ZonePict::m_type

the sub type

Referenced by getSubType(), and print().

The documentation for this struct was generated from the following file:

- CWGraph.cxx